Forum Clubic

Problèmes : Pilotes ATI et Debian SID

Salut, j’ai un problème avec l’installation des pilotes ATI ( module fglrx ).
J’ai patché mon noyau ( 2.6.11.7 ) et je l’ai recompilé ( pour compiler le noyau avec le même compilateur que ceui que j’utilise bref ce n’est pas important ).

J’ai donc forcé le pakage avec dpkg
j’ai été dans /lib/modules/fglrx/build_mod/ et j’ai fait sh make.sh, ça s’est bien passé

Je remonte d’un dir, assavoir lib/modules/fglrx/build_mod/ et je fais sh make_install.sh

Et là j’obtiens cette erreur :

FATAL: Error inserting fglrx (/lib/modules/2.6.11.7/kernel/drivers/char/drm/fglrx.ko): Operation not permitted
failed.

J’ai bien entendu éteint le serveur X lorsque j’ai fait cette manipulation…

Quelqu’un sait d’où cette erreur peut provenir ?

Va voir la il y a des package pour debian :

http://xoomer.virgilio.it/flavio.stanchina/debian/fglrx-installer.html

Il faut patcher les drivers ATI pour que cela fonctionne ! et il faut également retirer le DRI lors de la compilation de ton noyau !
Encore merci ATI ;o)
Je n’ai pas le patch sous la main ! mais si tu en as besoin, des que je rentre chez moi, je peux te le mettre a disposition !

J’ai patché et j’ai retiré le module DRM ( le DRI se retire avec le DRM je crois )

lance le script en tant que root et non simple user :wink:

seul root a le droit de lancer modprobe (pour ajouter un module)

certes mais je pense qu’il ne s’agisse pas de ca son erreur !
J’ai eu exactement le meme message (en etant bien root).
Et il a fallu que je fasse la manip que j’ai cité pour que cela fonctionne.
Et apperement, jodemarco3 a eu exactement le meme soucis que moi !!!

Je suis en root évidemment
Enlever le DRM ça enlève le DRI ?

tu as patché le driver ou le noyau ???
Moi j’ai patché uniquement le driver ATI ! je n’ai point touché au noyau :slight_smile:

Donc voila moi!
Un noyau 2.6.11.7 tt propre pas patché
Le rpm des driver ati ! transformé en deb avec alien
install du deb
patchage des drivers dans le rep /lib/modules/fglrx/build avec le fichier ici : http://ouioui.didou.free.fr/linux/
puis compil et install du module fglrx !

j’ai patché mes drivers pardon, pas le noyau… mais j’ai mis deux patchs, et pas un seul :confused:

genre un qui s’apelle p1 et l’autre p2 ??
moi j’avai trouvé ca aussi au debut, mais ca ne marchait pas non plus ! (meme message)
tu peux effacer ton rep /lib/modules/fglrx ! et recommencer la manip et patcher avec mon patch !
Ca devrait tourner :wink:

Tu nous tient au courant ?

ok je vais essayer ça… mais avant… Je supprime le répertoire ou bien je purge le paquet ?

hum moi j’ai fait ca “methode crade” ! j’ai supprimé le repertoire :smiley:
Je sais pas c’est quoi le mieux, mais la methode “crade” marche bien :slight_smile: :sol:

Ca marche pas :frowning: même message.

Rha … euh ben la …
T’es sur t’as bien enlevé le DRI dans la compil de ton noyau ?

j’ai enlevé le DRM ( pas trouvé le DRI )

oki, bon ce soir en rentrant du boulot, je regarde ou c’est le DRI !
Au pire, tu veux mon .config pour regarder les differences ?

pourquoi pas ouais merci

Bon j’ai uploader mon .config au meme endroit !
Et tu avais bien raison, le DRI, c’est avec le DRM !
Dans
Device drivers ->
character devices ->
Direct Rendering managment (XFree86 4.1.0 and higher DRI support)

J’ai bien peur que tu ne sois pas plus avancé :frowning:

rooo
merci je vais voir